# Package org.apache.pdfbox.filter

This package will hold the PDFBox implementations of the filters that are used in PDF documents.

See: Description

Class Summary
DecodeOptions: Options that may be passed to a Filter to request special handling when decoding the stream.
DecodeResult: The result of a filter decode operation.
Filter: A filter for stream data.
FilterFactory: Factory for Filter classes.
JPXFilter: Decompress data encoded using the wavelet-based JPEG 2000 standard, reproducing the original data.
LZWFilter: This is the filter used for the LZWDecode filter.
Predictor: Helper class to contain predictor decoding used by Flate and LZW filter.

Exception Summary
MissingImageReaderException: Thrown when a required JAI ImageReader is missing.

## Package org.apache.pdfbox.filter Description

This package will hold the PDFBox implementations of the filters that are used in PDF documents.